%global gem_name rsolr

%global rubyabi 1.9.1

Summary: A Ruby client for Apache Solr
Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 4%{?dist}
Group: Development/Languages
License: ASL 2.0
URL: http://github.com/mwmitchell/%{gem_name}
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
Requires: rubygem(builder) >= 2.1.2
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel
BuildRequires: ruby
# Keep requiring rspec-core as long as rubygem(rspec) is provided by RSpec 1.x
BuildRequires: rubygem(rspec-core)
BuildRequires: rubygem(builder) >= 2.1.2
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
RSolr aims to provide a simple and extensible library for working with Solr


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%doc %{gem_instdir}/LICENSE
%{gem_instdir}/VERSION
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%{gem_instdir}/tasks
%doc %{gem_docdir}

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 1.0.2-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 25 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.2-1
- Updated to the RSolr 1.0.2.

* Tue Jan 25 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.0-2
- Version file moved into main package, since it is required by runtime
- Removed unnecessary cleanup in install section

* Mon Jan 17 2011 Vít Ondruch <vondruch@redhat.com> - 1.0.0-1
- Initial package
